#!QTCLSH
#
# $RCSfile: convert.tcl,v $ $Revision: 1.2 $ $Date: 2001/03/11 02:01:55 $
#
# convert.tcl --
#
#     This file reads each file below the FatFree/* directories
#     and imports the file into the FatFreeDB Qddb database
#
#     To get the FatFree recipes go to http://www.fatfree.com
#
set s [qddb_schema open ./FatFreeDB]
foreach category [glob FatFree/*] {
    foreach filename [glob $category/*] {
	puts "$filename"
	set t [qddb_tuple new $s]
	set v [qddb_view define $t {
	    { Category p_category }
	    { Filename p_filename }
	    { From from }
	    { Date date }
	    { Recipe recipe }}]
	set p_category [lindex [split $category /] 1]
	set p_filename [lindex [split $filename /] 2]
	set fd [open ./$filename r]
        gets $fd str; set date [string range $str 9 end]
	gets $fd str; set from [string range $str 9 end]
	set recipe ""
	while {[gets $fd str] != -1} {
	    set recipe "$recipe\n$str"
	}
	close $fd
	qddb_tuple write $t
	qddb_tuple delete $t
    }
}
